event
/api/v1/event/store
POST
/api/v1/event/store
const url = 'https://dpg.example.com/api/v1/event/store';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"origin_instance_domain":"https://example.com","action_type":"example","action_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","action_status":"example","update_count":1,"source_item":{"item_network":"example","item_domain":"example","item_type":"example","item_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","item_instance_url":"https://example.com"},"target_item":{"item_network":"example","item_domain":"example","item_type":"example","item_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","item_instance_url":"https://example.com"},"source_item_owner":"example","target_item_owner":"example","source_item_locations":[{"lat":1,"lng":1,"label":"example"}],"target_item_locations":[{"lat":1,"lng":1,"label":"example"}],"event_payload":{},"remarks":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dpg.example.com/api/v1/event/store \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "origin_instance_domain": "https://example.com", "action_type": "example", "action_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "action_status": "example", "update_count": 1, "source_item": { "item_network": "example", "item_domain": "example", "item_type": "example", "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_instance_url": "https://example.com" }, "target_item": { "item_network": "example", "item_domain": "example", "item_type": "example", "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_instance_url": "https://example.com" }, "source_item_owner": "example", "target_item_owner": "example", "source_item_locations": [ { "lat": 1, "lng": 1, "label": "example" } ], "target_item_locations": [ { "lat": 1, "lng": 1, "label": "example" } ], "event_payload": {}, "remarks": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
origin_instance_domain
required
string format: uri
action_type
required
string
action_id
required
string format: uuid
action_status
required
string
update_count
required
integer
source_item
required
object
item_network
required
string
item_domain
required
string
item_type
required
string
item_id
required
string format: uuid
item_instance_url
required
string format: uri
target_item
required
object
item_network
required
string
item_domain
required
string
item_type
required
string
item_id
required
string format: uuid
item_instance_url
required
string format: uri
source_item_owner
string
target_item_owner
string
source_item_locations
Array<object>
object
lat
required
number
lng
required
number
label
string
target_item_locations
Array<object>
object
lat
required
number
lng
required
number
label
string
event_payload
object
key
additional properties
remarks
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
event_id
required
string
action_id
required
string
action_type
required
string
action_status
required
string
update_count
required
integer
Examplegenerated
{ "event_id": "example", "action_id": "example", "action_type": "example", "action_status": "example", "update_count": 1}
